Apple Updates Logic Studio

OP
Chris98

Chris98

Senior Member
Messages
1,076
No, it is only supported on Intels. I think it will be fine on a good spec G5 (but not G4)
Maybe I'm crying too soon, but it was this that made me think I was at the end of the road with my G5:

Minimum requirements to install all applications

* Mac computer with an Intel processor
From: Technical Specifications

I'm now trying to find out which of the applications in the studio package don't require the Intel processor.

Pete are you still running a G5?

All the best,

Chris
 
Top Bottom